Name: H5Tget_size
Signature:
  size_t `H5Tget_size`(hid_t `type_id` )
Purpose:
  Returns the size of a datatype.
Description:
  `H5Tget_size` returns the size of a datatype in bytes.
Parameters:

hid_t `type_id` | Identifier of datatype to query.

Returns:
  Returns the size of the datatype in bytes if successful; otherwise 0.
Fortran90 Interface: h5tget_size_f

      SUBROUTINE h5tget_size_f(type_id, size, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: type_id ! Datatype identifier
        INTEGER(SIZE_T), INTENT(OUT) :: size  ! Datatype size
        INTEGER, INTENT(OUT) :: hdferr        ! Error code
                                              ! 0 on success and -1 on failure
      END SUBROUTINE h5tget_size_f